> ## Documentation Index
> Fetch the complete documentation index at: https://ago.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Create Documents

> Bulk create knowledge documents (max 100 per request).



## OpenAPI

````yaml /openapi-v1.json post /api/v1/documents/bulk
openapi: 3.1.0
info:
  title: AGO Public API
  version: 1.0.0
  description: Programmatic access to your AGO workspace.
servers:
  - url: https://{tenant_id}.api.useago.com
    description: AGO Public API v1
    variables:
      tenant_id:
        default: your-tenant-id
        description: Your AGO tenant identifier
security: []
paths:
  /api/v1/documents/bulk:
    post:
      tags:
        - Documents
      summary: Bulk Create Documents
      description: Bulk create knowledge documents (max 100 per request).
      operationId: core_api_v1_controllers_documents_bulk_create_documents
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkDocumentCreateIn'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkCreateResultOut'
      security:
        - ScopedAPIKeyAuth: []
components:
  schemas:
    BulkDocumentCreateIn:
      description: Schema for bulk creating documents. Max 100 items per request.
      properties:
        items:
          items:
            $ref: '#/components/schemas/DocumentCreateIn'
          title: Items
          type: array
      required:
        - items
      title: BulkDocumentCreateIn
      type: object
    BulkCreateResultOut:
      description: Response schema for bulk document creation.
      properties:
        object:
          default: bulk_result
          title: Object
          type: string
        created:
          items:
            additionalProperties: true
            type: object
          title: Created
          type: array
        errors:
          items:
            additionalProperties: true
            type: object
          title: Errors
          type: array
        total_created:
          title: Total Created
          type: integer
        total_errors:
          title: Total Errors
          type: integer
      required:
        - created
        - errors
        - total_created
        - total_errors
      title: BulkCreateResultOut
      type: object
    DocumentCreateIn:
      description: Schema for creating a document via the v1 API.
      properties:
        title:
          title: Title
          type: string
        content:
          anyOf:
            - type: string
            - type: 'null'
          title: Content
        source_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Id
        parent_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Id
        position:
          anyOf:
            - type: integer
            - type: 'null'
          title: Position
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        default_language:
          default: en
          title: Default Language
          type: string
      required:
        - title
      title: DocumentCreateIn
      type: object
  securitySchemes:
    ScopedAPIKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````